color interpolate(PImage img, PVector v) {
  int x1 = floor(v.x);
  int y1 = floor(v.y);
  int x2 = x1 + 1;
  int y2 = y1 + 1;
  float wx1 = x2 - v.x;
  float wy1 = y2 - v.y;

  color c11 = img.get(x1, y1);
  color c12 = img.get(x1, y2);
  color c21 = img.get(x2, y1);
  color c22 = img.get(x2, y2);
  color newcx1 = lerpColor(c12, c11, wy1);
  color newcx2 = lerpColor(c22, c21, wy1);
  color result = lerpColor(newcx2, newcx1, wx1);
  return(result);
}
